ru.bitel.bgbilling.kernel.contract.label.server.bean

## Class ContractLabelManager

- java.lang.Object
- - ru.bitel.bgbilling.kernel.contract.label.server.bean.ContractLabelManager

-     public class ContractLabelManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `TABLE_CONTRACT_LABEL`
    `protected static java.lang.String` | `TABLE_CONTRACT_LABEL_LINK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractLabelManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addChild(int up, ContractLabelItem rootItem, java.util.List<ContractLabelItem> list)`
    `java.util.Set<java.lang.Integer>` | `getContractLabelIds(int contractPlanId)`
    `java.util.List<ContractLabelItem>` | `getContractLabelItemList(boolean calcCount)`
    `ContractLabelItem` | `getTree()`
    `void` | `removeContractLabelItem(int contractLabelItemId)`
    `void` | `setContractLabelIds(int contractId, java.util.Set<java.lang.Integer> labelIds)`
    `void` | `updateContractLabelTreeItem(ContractLabelItem contractLabelItem)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TABLE_CONTRACT_LABEL

          protected static final java.lang.String TABLE_CONTRACT_LABEL

      See Also:
        Constant Field Values

    - #### TABLE_CONTRACT_LABEL_LINK

          protected static final java.lang.String TABLE_CONTRACT_LABEL_LINK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ContractLabelManager

          public ContractLabelManager(java.sql.Connection con)

  - ### Method Detail

    - #### getContractLabelItemList

          public java.util.List<ContractLabelItem> getContractLabelItemList(boolean calcCount)
                                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractLabelIds

          public java.util.Set<java.lang.Integer> getContractLabelIds(int contractPlanId)
                                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### setContractLabelIds

          public void setContractLabelIds(int contractId,
                                          java.util.Set<java.lang.Integer> labelIds)
                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateContractLabelTreeItem

          public void updateContractLabelTreeItem(ContractLabelItem contractLabelItem)
                                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### removeContractLabelItem

          public void removeContractLabelItem(int contractLabelItemId)
                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTree

          public ContractLabelItem getTree()
                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addChild

          protected void addChild(int up,
                                  ContractLabelItem rootItem,
                                  java.util.List<ContractLabelItem> list)